screenOffset()
Move display viewport position on current logical screen. screenOffset may be useful for scrolling background in platform games. You can still use old offset() command instead.
Syntax:
screenOffset ( x , y )
offset ( x , y )
Example:
screenopen(0,1280,480,0,0,640,480,0)
for i = 0 to 100
ink(rgb(rnd(255),rnd(255),rnd(255)))
line(rnd(1280),rnd(480),rnd(1280),rnd(480))
next
x=0
while x<640
x+=2
screenOffset( x , 0 )
waitvbl
end while
Example:
screenOffset.sdlbas
See also screenOffsetX and screenOffsetY commands.